Agents
Retrieve agent status
Returns NOT_FOUND if the agent does not exist. If the agent exists but has not reported yet, health_status will be PENDING and status will be absent.
Scope: agent:read
Authorization
bearerAuth AuthorizationBearer <token>
Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer admp_...
In: header
Path Parameters
agent_id*agent_id
The unique identifier of the agent (UUID).
Format
uuidResponse Body
application/json
curl -X GET "https://api.admiral.io/api/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/status"{ "health_status": "AGENT_HEALTH_STATUS_UNSPECIFIED", "reported_at": "2023-01-15T01:30:15.01Z", "kubernetes": { "k8s_version": "string", "node_count": 0, "nodes_ready": 0, "pod_capacity": 0, "pod_count": 0, "pods_running": 0, "pods_pending": 0, "pods_failed": 0, "cpu_capacity_millicores": 0, "cpu_used_millicores": 0, "memory_capacity_bytes": 0, "memory_used_bytes": 0, "workloads_total": 0, "workloads_healthy": 0, "workloads_degraded": 0, "workloads_error": 0, "metrics_available": true, "namespace_count": 0 }}